/*
 * TestRunner.cpp
 *
 *  Created on: Nov 25, 2013
 *      Author: Wen-Hong Chiang
 */

#include <iostream>
#include <cppunit/TestSuite.h>
#include <cppunit/ui/text/TestRunner.h>

#include "TestFindMaxSeq.h"
#include "TestQuickSort.h"

using namespace std;


int main() {
	CppUnit::TextUi::TestRunner runner;

	cout << "Creating Test Suites:" << endl;
	cout << "TestQuickSrot added" << endl;
	runner.addTest(TestQuickSort::suite());
	cout << "TestFindMaxSeq added" << endl;
	runner.addTest(TestFindMaxSeq::suite());
	cout<< "Running the unit tests."<<endl;
	runner.run();

	return 0;
}
